#ifndef __VERSION_HPP_
#define __VERSION_HPP_

#define ALIB_VERSION       "${ALIB_VERSION}"
#define ALIB_VERSION_MAJOR "${ALIB_VERSION_MAJOR}"
#define ALIB_VERSION_MINOR "${ALIB_VERSION_MINOR}"
#define ALIB_VERSION_PATCH "${ALIB_VERSION_PATCH}"

#define ALIB_VERSION_STAMP ${ALIB_VERSION_MAJOR} * 10000 + ${ALIB_VERSION_MINOR} * 100 + ${ALIB_VERSION_PATCH}

#cmakedefine ALIB_GIT_COMMIT_HASH "${ALIB_GIT_COMMIT_HASH}"
#cmakedefine ALIB_GIT_BRANCH      "${ALIB_GIT_BRANCH}"

#cmakedefine CMAKE_BUILD_TYPE     "${CMAKE_BUILD_TYPE}"
#cmakedefine ALIB_PRODUCTION

#ifdef ALIB_PRODUCTION
  #define ALIB_VERSION_INFO \
	  "Version: " ALIB_VERSION
#elif defined ALIB_GIT_COMMIT_HASH && defined ALIB_GIT_BRANCH
  #define ALIB_VERSION_INFO \
	  "Version: " ALIB_VERSION \
	  " | Build: " CMAKE_BUILD_TYPE \
	  " | Git: " ALIB_GIT_BRANCH " @ " ALIB_GIT_COMMIT_HASH
#else
  #define ALIB_VERSION_INFO \
	  "Version: " ALIB_VERSION \
	  " | Build: " CMAKE_BUILD_TYPE
#endif

#endif // __VERSION_HPP_
